﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 11/01/2021 10:46:12
-- Server version: 5.7.30-log
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS empresas;

CREATE DATABASE IF NOT EXISTS empresas
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE empresas;

--
-- Create table `empresas`
--
CREATE TABLE IF NOT EXISTS empresas (
  codigo int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(50) DEFAULT NULL,
  poblacion varchar(50) DEFAULT NULL,
  cp varchar(5) DEFAULT NULL,
  trabajadores int(11) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AUTO_INCREMENT = 21,
AVG_ROW_LENGTH = 98,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `personas`
--
CREATE TABLE IF NOT EXISTS personas (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(50) DEFAULT NULL,
  apellidos varchar(50) DEFAULT NULL,
  poblacion varchar(50) DEFAULT NULL,
  fecha date DEFAULT NULL,
  dato1 int(11) DEFAULT NULL,
  dato2 int(11) DEFAULT NULL,
  dato3 int(11) DEFAULT NULL,
  fechaTrabaja date DEFAULT NULL,
  empresa int(11) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 21,
AVG_ROW_LENGTH = 98,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE personas
ADD CONSTRAINT FKPersonasEmpresas FOREIGN KEY (empresa)
REFERENCES empresas (codigo) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Dumping data for table empresas
--
INSERT INTO empresas VALUES
(1, 'WorldWide Optics Corporation', 'Liencres', '39006', 3),
(2, 'Advanced Research Corp.', 'Isla', NULL, 10),
(3, 'National Space Explore Co.', 'Corrales', '39049', 7),
(4, 'Smart Mining Corporation', 'Santander', '39011', 5),
(5, 'Global High-Technologies Corp.', 'Torrelavega', '39004', 10),
(6, 'First 2G Wireless Corporation', 'Santoña', NULL, NULL),
(7, 'Future Industry Corporation', 'Noja', '39038', 6),
(8, 'West I-Mobile Group', 'Arnuero', '39056', 2),
(9, NULL, 'Loredo', '39049', 7),
(10, 'United Logics Group', 'Laredo', '39025', 1),
(11, 'Home Space Research Inc.', 'Potes', '39082', 1),
(12, 'Canadian Space Research Group', 'Miengo', '39022', 4),
(13, 'Australian W-Mobile Inc.', 'Isla', '39000', 5),
(14, 'East High-Technologies Inc.', 'Torrelavega', '39044', 4),
(15, 'General High-Technologies Group', 'Santander', '39097', 9),
(16, 'Creative Fossil Fuel Power Group', 'Miengo', '39053', 7),
(17, 'Creative Laboratories Corp.', 'Corrales', '39022', 7),
(18, 'Domestic J-Mobile Inc.', 'Liencres', '39033', 7),
(19, 'City Q-Mobile Group', 'Noja', '39050', 1),
(20, NULL, 'Santoña', '39084', NULL);

-- 
-- Dumping data for table personas
--
INSERT INTO personas VALUES
(1, 'Daniel', 'Loma', 'Liencres', '1990-09-16', 5, 6, 6, '2014-10-25', 13),
(2, 'Miguel', 'Gil', 'Arnuero', '1999-12-18', 6, 6, 3, '2017-09-28', 3),
(3, 'Ramon', 'Fernandez', 'Corrales', '1986-05-26', 10, 8, 0, '2000-03-31', 18),
(4, 'Chelo', 'Moreno', 'Noja', '1996-11-11', 8, 9, 6, '2015-09-28', 2),
(5, 'Miguel', 'Garcia', 'Santoña', '1988-11-13', 2, 1, 7, '2011-11-26', 20),
(6, 'Asun', 'Diaz', 'Loredo', '1992-11-05', 4, 10, 1, '2007-12-28', 16),
(7, 'Roberto', 'Vazquez', 'Santander', '1986-10-29', 4, 5, 4, '2005-06-01', 10),
(8, 'Joaquin', 'Castro', 'Torrelavega', '1996-03-24', 6, 8, 5, '2016-02-05', 8),
(9, 'Guillermo', 'Torres', 'Laredo', '1987-07-01', 8, 8, 6, '2007-06-25', 9),
(10, 'Sergio', 'Muñoz', 'Potes', '1986-11-04', 4, 1, 0, '2006-02-13', 7),
(11, 'Rosa', 'Fresno', 'Miengo', '1995-02-07', 5, 8, 0, '2012-07-27', 9),
(12, 'Pedro', 'Rodriguez', 'Isla', '1995-05-16', 0, 3, 5, '2016-05-03', 3),
(13, 'Ana', 'Perez', 'Arnuero', '1988-04-06', 6, 0, 6, '2005-01-24', 7),
(14, 'Alberto', 'Molina', 'Torrelavega', '1986-01-20', NULL, 3, 1, '2006-03-26', NULL),
(15, 'Marta', 'Ramirez', 'Miengo', '1990-03-31', 5, 5, 9, '2007-09-14', 20),
(16, 'Carmen', 'Gonzalez', 'Santander', '1990-10-06', 7, 4, 1, '2012-11-19', 9),
(17, 'Ramon', 'Gutierrez', 'Isla', '1987-06-10', 8, 2, 1, '2007-03-28', 2),
(18, 'Daniel', 'Morales', 'Laredo', '1994-04-13', 10, 7, 0, '2015-12-12', 14),
(19, 'Miguel', 'Sanchez', 'Corrales', '1989-11-22', 7, NULL, NULL, NULL, 19),
(20, 'Miguel', 'Lopez', 'Liencres', '1993-06-23', NULL, NULL, NULL, NULL, NULL);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;